Force an entity crawl run

View as Markdown

Enqueues an async re-crawl of the entity’s current primary website.

Authentication

AuthorizationBearer

User bearer token: Supabase or Clerk session JWT, Clerk OAuth access token, or Clerk personal API key

OR
X-API-Keystring

Admin API key for system-to-system write operations

Query parameters

idstringOptionalformat: "uuid"

Entity UUID selector (one of id, slug, url required)

slugstringOptionalformat: "^[a-z0-9_-]+$"<=255 characters

Entity slug selector (one of id, slug, url required)

urlstringOptional

Entity website URL selector (one of id, slug, url required)

renderbooleanOptional
Force rendered extraction

Response

Async crawl job enqueued
jobIdstringformat: "uuid"
modestring
statusUrlstring
Endpoint to poll for asynchronous job state and result.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
406
Not Acceptable Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error